const mongoose = require('mongoose');

const nutritionDB = new mongoose.Schema({
	owner: {
		type: String,
		required: true,
	},
	date: {
		type: Date,
		required: true,
	},
    MealName: {
		type: String,
		required: true,
		unique: true
	},
	calories: {
		type: Number,
		required: true
	},
	carbohydrates: {
		type: Number,
		default: 0
	},
	protein: {
		type: Number,
		default: 0

	},
	fats: {
		type: Number,
		default: 0
	}




});

module.exports = NutritionDB = mongoose.model('nutritionDB', nutritionDB);